    
from PySteppables import *
import CompuCell
import sys

from random import *

class SortingSteppable(SteppableBasePy):    

    def __init__(self,_simulator,_frequency=1):
        SteppableBasePy.__init__(self,_simulator,_frequency)
    def start(self):
       
            
        # iterating over all cells in simulation        
        for cell in self.cellList:
            if cell.yCOM<50:
                cell.type=self.A
            else:
                cell.type=self.B    
        
        cell11=None
        for cell in self.cellList:
            cell.targetVolume=25        
            cell.lambdaVolume=2.0
            if cell.id==11:
                cell11=cell
                
        cell11.targetVolume=200
        
    def step(self,mcs): 
        
        for cell in self.cellList:
            cell.targetVolume+=1.0        
            
        print 'PYTHON PRINTOUT'                
        print 'Number of cells=',self.potts.getNumCells()
        print 'Energy=',self.potts.getEnergy()
        print 'number of pixel copy attempts=',self.potts.getNumberOfAttempts()
        print 'number of pixel copy energy calculations=',self.potts.getNumberOfAttemptedEnergyCalculations()
        print 'number of pixel copies=',self.potts.getNumberOfAcceptedSpinFlips()

        
